"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clear = clear;

var _document = require("./document");

var _utils = require("./utils");

function clear(element) {
  var _prepareInput;

  if (!(0, _utils.isEditable)(element) || (0, _utils.isDisabled)(element)) {
    throw new Error('clear()` is only supported on editable elements.');
  }

  (0, _document.prepareDocument)(element.ownerDocument);
  (0, _utils.focus)(element);

  if (element.ownerDocument.activeElement !== element) {
    throw new Error('The element to be cleared could not be focused.');
  }

  (0, _utils.selectAll)(element);

  if (!(0, _utils.isAllSelected)(element)) {
    throw new Error('The element content to be cleared could not be selected.');
  }

  (_prepareInput = (0, _utils.prepareInput)('', element, 'deleteContentBackward')) == null ? void 0 : _prepareInput.commit();
}