"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "endTrackValue", {
  enumerable: true,
  get: function () {
    return _value.endTrackValue;
  }
});
Object.defineProperty(exports, "getUISelection", {
  enumerable: true,
  get: function () {
    return _selection.getUISelection;
  }
});
Object.defineProperty(exports, "getUIValue", {
  enumerable: true,
  get: function () {
    return _value.getUIValue;
  }
});
exports.prepareDocument = prepareDocument;
Object.defineProperty(exports, "setUISelection", {
  enumerable: true,
  get: function () {
    return _selection.setUISelection;
  }
});
Object.defineProperty(exports, "setUIValue", {
  enumerable: true,
  get: function () {
    return _value.setUIValue;
  }
});
Object.defineProperty(exports, "startTrackValue", {
  enumerable: true,
  get: function () {
    return _value.startTrackValue;
  }
});

var _dom = require("@testing-library/dom");

var _selection = require("./selection");

var _value = require("./value");

const isPrepared = Symbol('Node prepared with document state workarounds');

function prepareDocument(document) {
  if (document[isPrepared]) {
    return;
  }

  document.addEventListener('focus', e => {
    const el = e.target;
    prepareElement(el);
  }, {
    capture: true,
    passive: true
  }); // Our test environment defaults to `document.body` as `activeElement`.
  // In other environments this might be `null` when preparing.
  // istanbul ignore else

  if (document.activeElement) {
    prepareElement(document.activeElement);
  }

  document.addEventListener('blur', e => {
    const el = e.target;
    const initialValue = (0, _value.getInitialValue)(el);

    if (typeof initialValue === 'string' && el.value !== initialValue) {
      _dom.fireEvent.change(el);
    }
  }, {
    capture: true,
    passive: true
  });
  document[isPrepared] = isPrepared;
}

function prepareElement(el) {
  if ('value' in el) {
    (0, _value.setInitialValue)(el);
  }

  if (el[isPrepared]) {
    return;
  }

  if ('value' in el) {
    (0, _value.prepareValueInterceptor)(el);
    (0, _selection.prepareSelectionInterceptor)(el);
  }

  el[isPrepared] = isPrepared;
}