"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hover = hover;
exports.unhover = unhover;

var _pointer = require("./pointer");

var _utils = require("./utils");

function hover(element, {
  skipPointerEventsCheck = false
} = {}) {
  if (!skipPointerEventsCheck && !(0, _utils.hasPointerEvents)(element)) {
    throw new Error('unable to hover element as it has or inherits pointer-events set to "none".');
  }

  const pointerState = (0, _pointer.createPointerState)();
  pointerState.position.mouse.target = element.ownerDocument.body;
  this.pointer({
    target: element
  }, {
    pointerState
  });
}

function unhover(element, {
  skipPointerEventsCheck = false
} = {}) {
  if (!skipPointerEventsCheck && !(0, _utils.hasPointerEvents)(element)) {
    throw new Error('unable to unhover element as it has or inherits pointer-events set to "none".');
  }

  const pointerState = (0, _pointer.createPointerState)();
  pointerState.position.mouse.target = element;
  this.pointer({
    target: element.ownerDocument.body
  }, {
    pointerState
  });
}