"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseKeyDef = parseKeyDef;

var _utils = require("../utils");

function parseKeyDef(keys, {
  pointerMap
}) {
  const defs = [];

  do {
    const {
      descriptor,
      consumedLength,
      releasePrevious,
      releaseSelf = true
    } = (0, _utils.readNextDescriptor)(keys);
    const keyDef = pointerMap.find(p => p.name === descriptor);

    if (keyDef) {
      defs.push({
        keyDef,
        releasePrevious,
        releaseSelf
      });
    }

    keys = keys.slice(consumedLength);
  } while (keys);

  return defs;
}