import { fireEvent } from '@testing-library/dom';
/**
 * Change the value of an element as if it was changed as a result of a user input.
 *
 * Fires the input event.
 */
export declare function editInputElement(element: HTMLInputElement | HTMLTextAreaElement, { newValue, newSelection, eventOverrides, }: {
    newValue: string;
    newSelection: {
        node: Node;
        offset: number;
    };
    eventOverrides: Partial<Parameters<typeof fireEvent>[1]> & {
        [k: string]: unknown;
    };
}): void;
