"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.focus = focus;

var _eventWrapper = require("../misc/eventWrapper");

var _getActiveElement = require("./getActiveElement");

var _isFocusable = require("./isFocusable");

var _selection = require("./selection");

function focus(element) {
  if (!(0, _isFocusable.isFocusable)(element)) return;
  const isAlreadyActive = (0, _getActiveElement.getActiveElement)(element.ownerDocument) === element;
  if (isAlreadyActive) return;
  (0, _eventWrapper.eventWrapper)(() => element.focus());
  (0, _selection.updateSelectionOnFocus)(element);
}