import type { pointerState } from '../../pointer/types';
import type { keyboardState } from '../../keyboard/types';
import { MouseButton } from './mouseButtons';
export declare function firePointerEvent(target: Element, type: string, { pointerState, keyboardState, pointerType, button, coords, pointerId, isPrimary, clickCount, }: {
    pointerState: pointerState;
    keyboardState: keyboardState;
    pointerType?: 'mouse' | 'pen' | 'touch';
    button?: MouseButton;
    coords?: PointerCoords;
    pointerId?: number;
    isPrimary?: boolean;
    clickCount?: number;
}): boolean;
export interface PointerCoords {
    x?: number;
    y?: number;
    clientX?: number;
    clientY?: number;
    offsetX?: number;
    offsetY?: number;
    pageX?: number;
    pageY?: number;
    screenX?: number;
    screenY?: number;
}
