"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MouseButton = void 0;
exports.getMouseButton = getMouseButton;
exports.getMouseButtons = getMouseButtons;
const MouseButton = {
  primary: 0,
  secondary: 1,
  auxiliary: 2,
  back: 3,
  X1: 3,
  forward: 4,
  X2: 4
};
exports.MouseButton = MouseButton;
// Some legacy...
const MouseButtonFlip = {
  auxiliary: 1,
  secondary: 2,
  1: 2,
  2: 1
};

function getMouseButton(button) {
  if (button in MouseButtonFlip) {
    return MouseButtonFlip[button];
  }

  return typeof button === 'number' ? button : MouseButton[button];
}

function getMouseButtons(...buttons) {
  let v = 0;

  for (const t of buttons) {
    const pos = typeof t === 'number' ? t : MouseButton[t]; // eslint-disable-next-line no-bitwise

    v |= 2 ** pos;
  }

  return v;
}